org.apache.ode.tools

## Class ToolMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.tools.ToolMessages

-     public class ToolMessages
      extends MessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgBadUrl(java.lang.String url, java.lang.String message)`
    `java.lang.String` | `msgIoErrorOnSend(java.lang.String msg)`
    `java.lang.String` | `msgSoapErrorOnSend(java.lang.String msg)`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolMessages

          public ToolMessages()

  - ### Method Detail

    - #### msgBadUrl

          public java.lang.String msgBadUrl(java.lang.String url,
                                            java.lang.String message)

    - #### msgSoapErrorOnSend

          public java.lang.String msgSoapErrorOnSend(java.lang.String msg)

    - #### msgIoErrorOnSend

          public java.lang.String msgIoErrorOnSend(java.lang.String msg)